Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78577 - Maestro3 driver fails in kernel-2.4.18-17.7.x
Summary: Maestro3 driver fails in kernel-2.4.18-17.7.x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-25 22:46 UTC by Stephen Lewis
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-25 22:47:02 UTC


Attachments (Terms of Use)

Description Stephen Lewis 2002-11-25 22:46:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.20-pre10-ac2 i686)

Description of problem:
Running RH7.3 with all latest updates on Dell Latitude CPx J750 and stock kernel
2.4.18-17.7.x.

Sound modules (soundcore, ac94_codec, maestro3i) appear to load OK, but there is
no sound in KDE, only "processor clock" noise from speakers. Reverting to stock
kernel 2.4.18-3 from RH7.3 CD, sound works fine.  Using homebrew
2.4.20-pre10-ac2, compiled with RH i686 .config file for 2.4.18 also works. Both
of these need no changes, other than a reboot. Suspect problem introduced some
time before 2.4.18-17.x, but not sure how far back.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot from kernel 2.4.18-17.7.x
2. Login to KDE
3.  
	

Actual Results:  No sound (no errors from sound server either)

Expected Results:  Sound - startup sounds, playing WAV files, etc.

Additional info:

From /var/log/messages:

BAD kernel 2.4.18-17.7.x
Nov 25 21:34:51 catbert kernel: maestro3: version 1.23 built at 13:44:52 Oct  8
2002
Nov 25 21:34:51 catbert kernel: PCI: Found IRQ 5 for device 00:08.0
Nov 25 21:34:51 catbert kernel: maestro3: Configuring ESS Maestro3(i) found at
IO 0xD800
 IRQ 5
Nov 25 21:34:51 catbert kernel: maestro3:  subvendor id: 0x00bb1028
Nov 25 21:34:52 catbert kernel: ac97_codec: AC97 Audio codec, id: 0x8384:0x7609
(SigmaTe
l STAC9721/23)

GOOD kernel 2.4.20-pre10-ac2
Nov 25 22:07:04 catbert kernel: maestro3: version 1.23 built at 21:59:33 Nov 10
2002
Nov 25 22:07:04 catbert kernel: PCI: Found IRQ 5 for device 00:08.0
Nov 25 22:07:04 catbert kernel: maestro3: Configuring ESS Maestro3(i) found at
IO 0xD800
 IRQ 5
Nov 25 22:07:04 catbert kernel: maestro3:  subvendor id: 0x00bb1028
Nov 25 22:07:05 catbert kernel: ac97_codec: AC97 Audio codec, id:
\203\204v9(SigmaTel ST
AC9721/23)

GOOD kernel 2.4.18-3
Nov 25 21:56:19 catbert kernel: maestro3: version 1.22 built at 07:43:07 Apr 18
2002
Nov 25 21:56:19 catbert kernel: PCI: Found IRQ 5 for device 00:08.0
Nov 25 21:56:19 catbert kernel: maestro3: Configuring ESS Maestro3(i) found at
IO 0xD800
 IRQ 5
Nov 25 21:56:19 catbert kernel: maestro3:  subvendor id: 0x00bb1028
Nov 25 21:56:19 catbert kernel: ac97_codec: AC97 Audio codec, id: 0x8384:0x7609
(SigmaTe
l STAC9721/23)

Comment 1 Arjan van de Ven 2002-11-26 09:58:29 UTC
this got fixed in the 2.4.18-18.7.x erratum, released over a week ago

Comment 2 Stephen Lewis 2002-11-27 07:24:55 UTC
Apologies:
1. Problem did not show up on bugzilla when I searched for it on Monday, but I
can see it now - finger trouble.
2. Errata is released, but has not yet made the up2date service, which I checked
last Friday and again last night.

Sorry

SL

Comment 3 Mark J. Cox 2002-11-27 09:10:25 UTC
You should be able to see this via RHN, but if not try directly:
http://rhn.redhat.com/errata/RHSA-2002-262.html


Note You need to log in before you can comment on or make changes to this bug.